Available in VPC
Remove the list of inbound rules for a specific network ACL.Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vpc/v2/removeNetworkAclInboundRule |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all VPC APIs, see VPC common headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the network ACL whose inbound rule you want to remove
|
networkAclNo |
String | Required | Network ACL number
|
networkAclRuleList.N.priority |
Integer | Required | Priority of the network ACL rule to remove
|
networkAclRuleList.N.protocolTypeCode |
String | Required | Protocol type code of the network ACL inbound rule to remove
|
networkAclRuleList.N.ipBlock |
String | Conditional | IP address range to be allowed in the network ACL rule to remove
|
networkAclRuleList.N.denyAllowGroupNo |
String | Conditional | Deny-Allow group number of the network ACL inbound rule to remove
|
networkAclRuleList.N.portRange |
String | Conditional | Port range of the network ACL inbound rule to remove
|
networkAclRuleList.N.ruleActionCode |
String | Required | Whether traffic is allowed for the network ACL inbound rule you want to remove
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/removeNetworkAclInboundRule
?regionCode=KR
&networkAclNo=***31
&networkAclRuleList.1.priority=0
&networkAclRuleList.1.protocolTypeCode=TCP
&networkAclRuleList.1.ipBlock=***.***.0.0/0
&networkAclRuleList.1.portRange=22-23
&networkAclRuleList.1.ruleActionCode=ALLOW' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See NetworkAclRuleList for the response body.
Response status codes
For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.
Response example
See below for an example.
<removeNetworkAclInboundRuleResponse>
<requestId>fd874399-8139-4ba0-a7a1-2f06dfa83234</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>0</totalRows>
<networkAclRuleList/>
</removeNetworkAclInboundRuleResponse>